classification
Title: lzma does not support pathlib
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: berker.peksag, brett.cannon, ethan.furman, ned.deily, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-09-21 07:30 by ethan.furman, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
open-lzma.stoneleaf.patch ethan.furman, 2016-09-21 07:30 review
issue28229_v2.diff berker.peksag, 2016-10-02 17:24 review
issue28229_v3.diff berker.peksag, 2016-10-04 06:44 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg277904 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-02 17:24
Here's an updated patch that adds more tests and documentation changes.
msg278014 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-04 06:44
Attaching a new patch that addresses Serhiy's comments. Thanks!
msg278019 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-04 07:58
LGTM.
msg278067 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-04 17:39
New changeset b512780c6589 by Berker Peksag in branch '3.6':
Issue #28229: lzma module now supports pathlib
https://hg.python.org/cpython/rev/b512780c6589

New changeset de398937653b by Berker Peksag in branch 'default':
Issue #28229: Merge from 3.6
https://hg.python.org/cpython/rev/de398937653b
History
Date User Action Args
2017-03-31 16:36:17dstufftsetpull_requests: + pull_request918
2016-10-04 17:39:50berker.peksagsetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-10-04 17:39:32python-devsetnosy: + python-dev
messages: + msg278067
2016-10-04 07:58:22serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg278019

assignee: berker.peksag
stage: patch review -> commit review
2016-10-04 06:44:43berker.peksagsetfiles: + issue28229_v3.diff

messages: + msg278014
2016-10-02 17:24:56berker.peksagsetfiles: + issue28229_v2.diff

nosy: + berker.peksag
messages: + msg277904

components: + Library (Lib)
2016-09-23 21:34:13ned.deilysetnosy: + ned.deily

versions: + Python 3.7
2016-09-21 07:30:51ethan.furmancreate